﻿using System.Drawing;
using System.Windows.Forms;

using Steema.TeeChart.Drawing;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Text = "MedianFunction 클래스 사용하기";

            this.tChart.Panel.Pen = new ChartPen(Color.Black);

            FastLine fastLine = new FastLine(this.tChart.Chart);

            fastLine.FillSampleValues();

            MedianFunction medianFunction = new MedianFunction();

            Line line = new Line(this.tChart.Chart);

            line.Pointer.Visible = true;
            line.Marks.Visible   = true;
            line.Function        = medianFunction;
            line.DataSource      = fastLine;
        }

        #endregion
    }
}